/******************************************************************************
* File Name: RandomGen.h
*
* Description: This file contains all the function prototypes required for
* true random numbers generation.
*******************************************************************************/

#include "cy_crypto.h" // For random start number generation
#include "cy_crypto_server.h"

/***************************************
*                Macros
****************************************/
//#define MASTER_ERROR_MASK  (CY_SCB_SPI_SLAVE_TRANSFER_ERR  | CY_SCB_SPI_TRANSFER_OVERFLOW    | \
//                            CY_SCB_SPI_TRANSFER_UNDERFLOW)

/***************************************
*         Function Prototypes
****************************************/
void InitRandomGen(void);
uint32 GetRandomNumber(void);


